<?php
	if (!defined('PLX_ROOT')) exit;
	/**
		* Plugin 			MyDataManager
		* @author 			Kamea
	**/
		# Si le formulaire est soumis en POST
		if (!empty($_POST)) {
			plxToken::validateFormToken($_POST);			
			$plxPlugin->setParam('formatDate', $_POST['formatDate'], 'string');			
			$plxPlugin->setParam('date_1', $_POST['date_1'], 'string');
			$plxPlugin->setParam('date_2', $_POST['date_2'], 'string');
			$plxPlugin->setParam('date_3', $_POST['date_3'], 'string');
			$plxPlugin->saveParams();
			
			# Redirection après enregistrement
			header('Location: plugin.php?p=' . basename(__DIR__));
			exit;
		}	
		
		# initialisation des paramêtres
		$var['formatDate'] =  $plxPlugin->getParam('formatDate')=='' ? $plxPlugin->formatDate : $plxPlugin->getParam('formatDate');
		$var['date_1'] =  $plxPlugin->getParam('date_1')=='' ? '' : $plxPlugin->getParam('date_1');
		$var['date_2'] =  $plxPlugin->getParam('date_2')=='' ? '' : $plxPlugin->getParam('date_2');
		$var['date_3'] =  $plxPlugin->getParam('date_3')=='' ? '' : $plxPlugin->getParam('date_3');
	

?>

<form class="inline-form" action="plugin.php?p=<?= basename(__DIR__) ?>" method="post" >
	<p>
		<label for="id_formatDate"><?php $plxPlugin->lang('L_FORMAT_DATE') ?> :</label>
		<?php plxUtils::printInput('formatDate', $var['formatDate'], 'text', '20-20'); ?> ex:<?= date($var['formatDate']);?>
	</p>
	<p>
		<label for="id_date_1"><?php $plxPlugin->lang('L_TITLE_DATE_1') ?> :</label>
		<?php plxUtils::printInput('date_1', $var['date_1'], 'datetime-local', '20-20'); ?>
	</p>
	<p>
		<label for="id_date_2"><?php $plxPlugin->lang('L_TITLE_DATE_2') ?> ;:</label>
		<?php plxUtils::printInput('date_2', $var['date_2'], 'datetime-local', '20-20'); ?>
	</p>
	<p>
		<label for="id_date_3"><?php $plxPlugin->lang('L_TITLE_DATE_3') ?> :</label>
		<?php plxUtils::printInput('date_3', $var['date_3'], 'datetime-local', '20-20'); ?>
	</p>
	<p class="in-action-bar">
		<?php echo plxToken::getTokenPostMethod(); ?>
		<input type="submit" name="submit" value="Valider" />
	</p>
</form>